## ros-rolling-picknik-reset-fault-controller 0.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(picknik_reset_fault_controller)

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

# find dependencies
find_package(ament_cmake REQUIRED)
find_package(ament_cmake_ros REQUIRED)
find_package(controller_interface REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(example_interfaces REQUIRED)
find_package(rclcpp REQUIRED)
find_package(realtime_tools REQUIRED)

set(THIS_PACKAGE_INCLUDE_DEPENDS
  controller_interface
  geometry_msgs
  example_interfaces
  realtime_tools
)

include_directories(include)

add_library(${PROJECT_NAME} SHARED src/picknik_reset_fault_controller.cpp)
target_include_directories(${PROJECT_NAME} PRIVATE
  include
)

ament_target_dependencies(${PROJECT_NAME}
  ${THIS_PACKAGE_INCLUDE_DEPENDS}
)

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "PICKNIK_RESET_FAULT_CONTROLLER_BUILDING_LIBRARY")
pluginlib_export_plugin_description_file(controller_interface controller_plugins.xml)

install(TARGETS ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)

install(DIRECTORY include/
  DESTINATION include
)

install(FILES controller_plugins.xml
  DESTINATION share/${PROJECT_NAME}
)

if(BUILD_TESTING)
endif()

ament_export_dependencies(${THIS_PACKAGE_INCLUDE_DEPENDS})
ament_export_include_directories(include)
ament_export_libraries(${PROJECT_NAME})

ament_export_include_directories(
  include
)

ament_export_libraries(
  ${PROJECT_NAME}
)

ament_package()

=== debian/changelog ===
ros-rolling-picknik-reset-fault-controller (0.0.3-1jammy) jammy; urgency=high



 -- Alex Moriarty <alex.moriarty@picknik.ai>  Mon, 24 Jul 2023 03:00:00 -0000

ros-rolling-picknik-reset-fault-controller (0.0.2-1jammy) jammy; urgency=high



 -- Alex Moriarty <alex.moriarty@picknik.ai>  Fri, 14 Jul 2023 03:00:00 -0000

ros-rolling-picknik-reset-fault-controller (0.0.1-1jammy) jammy; urgency=high

  * Initial Release of picknik_reset_fault_controller
    * Originally this was used internally and there was an attempt to release it to ros2_controllers
    * After discussion with the ros2 controllers WG over slack we have decided to open source it here first
    * The goal is to still move this upstream but it can be worked on here first and moved in the future
  * fault_controller -> picknik_reset_fault_controller (#2 <https://github.com/PickNikRobotics/picknik_controllers/issues/2>)
    * fault_controller -> picknik_reset_fault_controller
    This commit does two things:
    1) renames fault_controller to reset_fault_controller
    2) prefixes with picknik_
    The first change, is to be more specific what this controller is used
    for.
    The second change is because we want to move this controller into
    ros2_controllers and when that is complete we can drop the picknik_ and
    depricate this version allowing for a transition period.
    ---------
  * Contributors: Alexander Moriarty @moriarty, Anthony Baker @abake48, @livanov93, @destogl, @MarqRazz, @Abishalini, @JafarAbdi

 -- Alex Moriarty <alex.moriarty@picknik.ai>  Tue, 11 Jul 2023 03:00:00 -0000

=== debian/control ===
Source: ros-rolling-picknik-reset-fault-controller
Section: misc
Priority: optional
Maintainer: Alex Moriarty <alex.moriarty@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake-ros, ros-rolling-controller-interface, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-picknik-reset-fault-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-controller-interface, ros-rolling-example-interfaces, ros-rolling-geometry-msgs, ros-rolling-rclcpp, ros-rolling-realtime-tools, ros-rolling-ros-workspace
Description: ROS 2 controller that offers a service to clear faults in a hardware interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-picknik-reset-fault-controller//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
